Subject: Re: [PATCH net 1/2] ionic: Fix napi case where budget == 0

From: Jakub Kicinski <[email-masked]>
Date: Wed, 14 Aug 2024 17:27:48 -0700

On Tue, 13 Aug 2024 16:41:21 -0700 Brett Creeley wrote:
> The change in the fixes allowed the ionic_tx_cq_service() function
> to be called when budget == 0, but no packet completions will
> actually be serviced since it returns immediately when budget is
> passed in as 0. Fix this by not checking budget before entering
> the completion servicing while loop. This will allow a single
> cq entry to be processed since ++work_done will always be greater
> than work_to_do.
> 
> With this change a simple netconsole test as described in
> Documentation/networking/netconsole.txt works as expected.

I think I see a call to XDP cleanup as part of Tx processing.
XDP can't be handled with budget of 0 :(
-- 
pw-bot: cr